<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_set_unit_name" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_setUnitName - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_setUnitName(int, char*);
/*****************************************************************************
  FUNCTION : ann_set_unit_name
  PURPOSE  : 
             If the unit_name pointer is NULL, the unit's symbol will be deleted.
  NOTES    :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_set_unit_name</refname>

    <refpurpose>Sets the name of the unit {unit_id}.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_set_unit_name(network, unit_id, unit_name);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>unit_id</term>

        <listitem>
          <para>Id of the unit</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>unit_name</term>

        <listitem>
          <para>Name of the unit</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
    Function has no effect on the current unit.

    Error if memory allocation fails, 0 otherwise.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
